#ifndef RTE_CAN_NM_H
#define RTE_CAN_NM_H

#include "TYW_stdint.h"

#define RTE_NM_Sleep 0X00U
#define RTE_NM_NOTSleep 0X01U


#define RTE_CAN_TX_ENABLE 0X55U
#define RTE_CAN_RX_ENABLE 0X55U

#define RTE_CAN_TX_DISABLE 0X00U
#define RTE_CAN_RX_DISABLE 0X00U


void RTE_CAN_NM_Init(void);

void RTE_CAN_NM_Process(void);
uint8_t RTE_CAN_NM_GetStatus(void);
uint8_t RTE_CAN_NM_MODE_GetStatus(void);

void RTE_CAN_NM_Release(uint8_t ReleaseReason);
void RTE_CAN_NM_Request(uint8_t RequestReason);


/*设置报文接收发送状态*/
void RTE_CAN_SetAPP_TX_Mode(uint8_t u8Status);
void RTE_CAN_SetAPP_RX_Mode(uint8_t u8Status);

uint8_t RTE_CAN_GetAPP_RX_Mode(void);
uint8_t RTE_CAN_GetAPP_TX_Mode(void);

void RTE_CAN_SetNM_TX_Mode(uint8_t u8Status);
void RTE_CAN_SetNM_RX_Mode(uint8_t u8Status);

uint8_t RTE_CAN_GetNM_RX_Mode(void);
uint8_t RTE_CAN_GetNM_TX_Mode(void);

uint8_t RTE_CAN_GetBusStatus(void);

#endif